package project.activity;

import android.app.Dialog;
import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import com.example.vahid.theboys.R;

import project.fragment.FileFragment;
import project.fragment.SalesFragment;
import project.main.G;
import project.widget.UTab;

public class MainActivity extends AppCompatActivity {

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.activity_main);
    Log.i("LOG", "MainActivity On start!");
    UTab tab = new UTab(this, R.id.viewPager, R.id.tabLayout);
    tab.add(SalesFragment.class, "فروش", R.drawable.ic_add_shopping_cart_black_24dp);
    tab.add(FileFragment.class, "پرونده", R.drawable.ic_insert_drive_file_black_24dp);
    addCompany();
    delCompany();

  }

  private void delCompany() {
    Button btn_del = (Button) findViewById(R.id.btn_del);
    btn_del.setOnClickListener(new View.OnClickListener() {
      @Override
      public void onClick(View v) {
        Dialog deleteDialog = new Dialog(G.app);
        deleteDialog.setContentView(R.layout.dialog_delete);
        deleteDialog.setTitle("حذف شرکت");
        final EditText edt_code = (EditText) deleteDialog.findViewById(R.id.edt_code);
        Button btn_delete = (Button) deleteDialog.findViewById(R.id.btn_delete);
        btn_delete.setOnClickListener(new View.OnClickListener() {
          @Override
          public void onClick(View v) {
            String code = edt_code.getText().toString();
            G.dbHelper.delete("tbl_company", "companyCode = " + code);
            G.toastMessage(G.context, "رکورد با موفقیت حذف شد");
          }
        });
      }
    });

  }

  private void addCompany() {
    Button btn_add_company = (Button) findViewById(R.id.btn_add_company);
    btn_add_company.setOnClickListener(new View.OnClickListener() {
      @Override
      public void onClick(View v) {
        Log.i("LOG", "Toast");
        Intent intent = new Intent(MainActivity.this, AddCompanyActivity.class);
        startActivity(intent);
        Toast.makeText(getApplicationContext(), "SSS", Toast.LENGTH_SHORT).show();
      }
    });
  }
}
